/*
 * ImagePanel.java
 *
 * Created on 17 de Novembro de 2006, 1:22
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package client;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;
import java.io.File;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 *
 * @author Eduardo
 */
public class ImagePanel extends JPanel{
    
    public static final Image DefaultImage = 
            Toolkit.getDefaultToolkit().createImage("default.png");
    
    protected Image foto;
    protected JFrame father;
    
    /** Creates a new instance of ImagePanel */
    public ImagePanel() {
        foto = DefaultImage;
    }
    
    public void SetFather(JFrame f){
        father = f;
    }
    
    //ficheiro onde esta o avatar
    public void SetImage(String path){
        if ( !(new File(path)).exists() )
            return;
        //se o ficheiro existir carrega o avatar
        foto = 
            Toolkit.getDefaultToolkit().createImage(path);        
        repaint();
    }
    
    public Image GetImage(){
        return foto;
    }
    
    public void paint( Graphics g ) {
        //desenha avatar
        g.drawImage( foto ,0, 0, this.getWidth(), this.getHeight(), father);
    }
    
}
