/*
 * ContactEntrance.java
 *
 * Created on 18 de Novembro de 2006, 16:56
 */

package client;

import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Rectangle;

/**
 *
 * @author  Eduardo
 */
public class ContactEntrance extends javax.swing.JFrame implements Runnable{
    
    //conatgem dos cliente que estraram
    public static int entrace_n=-1;
    //conattem do numero de janelas abertas que avisam entrada de clientes
    public static int n_threads=0;
    Thread t;
    //verificar se a janela foi fechada
    boolean closed=false;
    
    /** Creates new form ContactEntrance */
    public ContactEntrance(String Name) {
        initComponents();
        //incrementar numero de janela e entradas
        entrace_n++;
        n_threads++;
        this.setSize(160,110);
        ContactName.setText(Name);
        
        //colocar janela no canto inferior direito
        GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
        GraphicsDevice gs = ge.getDefaultScreenDevice();
        Rectangle MaximumWindow = ge.getMaximumWindowBounds();
        
        this.setLocation( (int)MaximumWindow.getWidth()-160, (int)MaximumWindow.getHeight()/*-33*/-( entrace_n*110 ) );
        
        t = new Thread(this);
        //activar thread para moviemntacao da janela
        t.start();
        
    }
    
    public void run() {
        
        try {
            
            //movimento para levantamento da janela
            for (int i = 0; i < 110; i++) {
                //this.setSize( 160, getHeight()+1 );
                this.setLocation( this.getX(), this.getY()-1 );
                t.sleep(10);
            }
            
            //esperar 3s com janela levantada
            t.sleep(3000);
            
            //descer janela
            for (int i = 0; i < 110; i++) {
                //this.setSize( 160, getHeight()-1 );
                this.setLocation( this.getX(), this.getY()+1 );
                t.sleep(10);
            }
            //aviso de janela ja acabada
            n_threads--;
            //caso nao existam + janelas entam inicializa a posicao de nova janela no inicio
            if (n_threads==0)
                entrace_n=-1;
            //janela fechada
            closed=true;
            this.dispose();
        } catch (InterruptedException ex) {}
        
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jLabel1 = new javax.swing.JLabel();
        ContactName = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setAlwaysOnTop(true);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosed(java.awt.event.WindowEvent evt) {
                formWindowClosed(evt);
            }
        });

        jLabel1.setText("Entrada de:");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel1)
                    .add(ContactName))
                .addContainerGap(67, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(ContactName)
                .addContainerGap(49, Short.MAX_VALUE))
        );
        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    private void formWindowClosed(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowClosed
// TODO add your handling code here:
        //verificar se a janela foi fechada manualmente
        if (!closed){
            n_threads--;
            if (n_threads==0)
                entrace_n=-1;
        }
    }//GEN-LAST:event_formWindowClosed
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ContactEntrance("--default--").setVisible(true);
            }
        });
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel ContactName;
    private javax.swing.JLabel jLabel1;
    // End of variables declaration//GEN-END:variables
    
}
