/*
 * DrawImages.java
 *
 * Created on 29 de Novembro de 2006, 23:33
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package client;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Rectangle;
import java.awt.Toolkit;
import java.util.Vector;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

/**
 *
 * @author Eduardo
 */
public class DrawImages extends JPanel{
    
    public static final Image DefaultImage = 
            Toolkit.getDefaultToolkit().createImage("default.png");
    
    //contem todas as iamgens a desenha na janela de conversacao
    protected Vector images;
    //janela na qual  desenhado as iamgens
    protected JFrame father;
    //sroll das iamgens
    protected JScrollPane scroll;
    
    /** Creates a new instance of DrawImages */
    public DrawImages() {
        images = new Vector();
    }
    
    public void SetFather(JFrame f){
        father = f;
    }
    
    public void SetScroll(JScrollPane s){
        scroll = s;
    }
    
    public void AddImage(Image img){ 
        //adicionar nova iamgem a ser desenhada
        images.add( img );
        //redesenhar e actualizar scroll
        repaint();        
        scroll.doLayout();
    }
    
    public void RemoveImagePos(int pos){
        //remover imagem
        images.remove(pos);
        //redesenhar e actualizar scroll
        repaint();
        scroll.doLayout();
    }
    
    public void paint( Graphics g ) {
        int width = 96;//this.getWidth()/images.size();
        int height = 96;//this.getWidth()/images.size();
        
        int largura = 96;
        //if (largura<scroll.getWidth())
        //    largura =scroll.getWidth(); 
        
        int altura = 96*images.size();
         if (altura<scroll.getHeight())
            altura =scroll.getHeight();
        
        //Rectangle VisibleWindow=this.getVisibleRect();
        g.setColor(new Color(238,238,238));
        g.fillRect(0, 0, largura, altura);
        
        //desenhar iamgens
        for (int i = 0; i < images.size(); i++)
            g.drawImage( (Image)images.get(i) ,0, height*i, width, height, father);
        
        
        
        //dizer tamanho do panel de imagens
        setPreferredSize( new Dimension(largura, altura) );
        setSize(largura, altura );
        
    }
    
}
